# Configured by Rob Muhlestein (rwxrob.live)
# This file is copyright free (public domain).

# change default meta key to same as screen
unbind C-b
unbind C-a
set -g prefix C-a

# use a different prefix for nested
bind-key -n C-y send-prefix 

# add double-tap meta key to toggle last window
bind-key C-a last-window

# pane colors and display

# create more intuitive split key combos (same as modern screen)
unbind |
bind | split-window -h
bind '\' split-window -h
bind 'C-\' split-window -h
unbind -
bind - split-window -v
unbind _
bind _ split-window -v

# vi for copy mode
setw -g mode-keys vi

# vi for command status
set -g status-keys vi

# vi keys to resize
bind -r C-k resize-pane -U 1
bind -r C-j resize-pane -D 1
bind -r C-h resize-pane -L 1
bind -r C-l resize-pane -R 1

# vi keys to navigate panes
bind -r k select-pane -U
bind -r j select-pane -D
bind -r h select-pane -L
bind -r l select-pane -R

# avoid cursor movement messing with resize
set -g repeat-time 200

# colors, clock, and stuff
set -g clock-mode-style 12
set -g default-terminal "screen-256color"
set -g base-index 1
setw -g pane-base-index 1

# die, die, die (just be careful, right next to C-c)
bind -r C-x confirm kill-server
bind -r x kill-pane

# color the pane borders nearly invisible
# (when not using hacked tmux without them)
set -g pane-border-style "fg=#111111"
set -g pane-active-border-style "fg=#111111"

# very unique Mac bug
if-shell "type 'reattach-to-user-namespace' >/dev/null" "set -g default-command 'reattach-to-user-namespace -l $SHELL'"

# reload configuration
bind -r r source-file ~/.tmux.conf

# disable status (use C-w instead)
set -g status off

